#import "TempoTestPlugin.h"

static NSString *const kGetPlatformVersion = @"getPlatformVersion";

static NSString *const kGetAppVersion = @"getAppVersion";

@implementation TempoTestPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"tempo_test"
            binaryMessenger:[registrar messenger]];
  TempoTestPlugin* instance = [[TempoTestPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([kGetPlatformVersion isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([kGetAppVersion isEqualToString:call.method]) {
      result([[[NSBundle mainBundle]infoDictionary]valueForKey:@"CFBundleShortVersionString"]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
